/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;


/**
 * @author obper
 */
@Entity
public class Actualimperia implements Serializable {
    private static final long serialVersionUID = 1L;
    @Column(name = "consultor_codigo")
    @Id
    private String consultorCodigo;
    @Column(name = "venta_sin_descuento")
    private BigDecimal ventaSinDescuento;
    @Column(name = "promocion_1")
    private BigDecimal promocion1;
    @Column(name = "promocion_2")
    private BigDecimal promocion2;
    @Column(name = "rangoi")
    private String rangoi;
    @Column(name = "rangof")
    private String rangof;

    public String getConsultorCodigo() {
        return consultorCodigo;
    }

    public void setConsultorCodigo(String consultorCodigo) {
        this.consultorCodigo = consultorCodigo;
    }

    public BigDecimal getVentaSinDescuento() {
        return ventaSinDescuento;
    }

    public void setVentaSinDescuento(BigDecimal ventaSinDescuento) {
        this.ventaSinDescuento = ventaSinDescuento;
    }

    public BigDecimal getPromocion1() {
        return promocion1;
    }

    public void setPromocion1(BigDecimal promocion1) {
        this.promocion1 = promocion1;
    }

    public BigDecimal getPromocion2() {
        return promocion2;
    }

    public void setPromocion2(BigDecimal promocion2) {
        this.promocion2 = promocion2;
    }

    public String getRangoi() {
        return rangoi;
    }

    public void setRangoi(String rangoi) {
        this.rangoi = rangoi;
    }

    public String getRangof() {
        return rangof;
    }

    public void setRangof(String rangof) {
        this.rangof = rangof;
    }

    public Actualimperia() {
    }

    public Actualimperia(String consultorCodigo, BigDecimal ventaSinDescuento, BigDecimal promocion1, BigDecimal promocion2, String rangoi, String rangof) {
        this.consultorCodigo = consultorCodigo;
        this.ventaSinDescuento = ventaSinDescuento;
        this.promocion1 = promocion1;
        this.promocion2 = promocion2;
        this.rangoi = rangoi;
        this.rangof = rangof;
    }


}
